Jump to content
Davb

message log : [PSPwebhook] [\"Header can\'t be empty\"]

Recommended Posts

bonjour à tous, j'ai un soucis avec ma boutique

je viens de voir dans les logs que j'avais ce message d'erreur [PSPwebhook] [\"Header can\'t be empty\"]

qui se répéte depuis 3 jours (plus de 600 fois en 3 jours), quelqu'un peut me dire ce que c'est?

je me suis rendu compte aujourd'hui que la boutique a un bug, je ne sais pas depuis quand? elle fonctionnait très bien sûre le 3 mai, je ne suis pas retourné sur le site depuis

j'ai plusieurs parties du theme de ma pge d'accueil qui ne s'affichent plus

plus de footer, certaines bannières ne s'affichent plus, plus de bloc nouveautés

je n'arrive pas à les remettre en service!!!

pourtant je sais où aller mais activer ou désactiver ça ne change rien

est ce que c'est lié au message d'erreur, pas la moindre idée??

là un client vient de me contacter pour me dire qu'il n'arrive pas à payer sa commande avec paypal

il clique sur paiement paypal, il est bien envoyé sur paypal, il paye et pas d'enregistrement de commande ni de paiement

j'ai installé prestashop checkout paypal la semaine dernière, ça a très bien fonctionné pendant plusieurs jours, est ce que c'est lié à ce module??

j'ai aussi essayé hier le module prestaordersconnect de sitolog, peut être ce module qui a fait planter le theme!!

je l'ai désinstallé mais pas de changement...

si quelqu'un a une idée à mon problème, merci d'avance

mon site : https://www.collectormania.fr

David

Share this post


Link to post
Share on other sites

Bonjour

il faudrait mettre le site en mode debug pour voir ce qu'il affiche comme erreurs.
Quelle est la version de Prestashop ? et de PHP ?

Share this post


Link to post
Share on other sites

j'ai mis le mode debug, pas d'erreur

presta 1.6.1.11 et php 7.0

Share this post


Link to post
Share on other sites
Posted (edited)

salut ta eu des news de ca ?

parce que moi jai eu ca [PSPwebhook] [\"order #4VT17669WR215522M does not exist\"]

Edited by Goze159 (see edit history)

Share this post


Link to post
Share on other sites

Faites la dernière mise à jour du module, apparemment ils ont corrigé des dizaines de bugs

Share this post


Link to post
Share on other sites

j'ai désinstallé prestashop checkout et depuis tout va beaucoup mieux

c'est ce module pourri qui a fait planté ma boutique

heureusement en restaurant la base de données avant l'installation de presta checkout, tout est rentré dans l'ordre, mais 10 jours de clients, ventes etc de perdus, tout remis en manuel, des heures de travail pour un module qui est buggué (je vois les pros qui vont dire : il fallait pas installer un module sans tester sur une boutique test, je suis d'accord je ne savais pas ça avant, oups! je le saurai pour la prochaine fois)

j'ai remis le module prestashop original, et je resterai comme ça

il me semble avoir lu quelque part sur ce forum que le module n'était pas compatible 1.6 ou qu'il faut php 7.2, je ne sais plus exactement laquelle de ces 2 affirmations, mais quand j'ai lu ce post, je me suis rendu compte que du coup ce n'était pas compatible avec ma version...pourtant quand j'ai contacté le dev du module, ils ne m'ont pas dit que mon site ne serait pas compatible!!!

Share this post


Link to post
Share on other sites

j'ai eu des soucis avec checkout, voici le premier retour du suport du module :

Quote

Il y avait deux problèmes :

- Comme indiqué dans la configuration du module, il avait des problèmes avec la configuration des arrondis. Nous avons simplement cliqué sur le bouton pour corriger ce problème.

- Vous utilisez PHP version: 7.3.17 qui n'est pas compatible avec votre version de PrestaShop et peut engendre le type d'erreur que vous avez rencontré. Il faut que vous  utilisez au maximum PHP 7.2 :

https://devdocs.prestashop.com/1.7/basics/installation/system-requirements/#php-compatibility-chart

 

ceci dit, je ne sais pas quelle correction d'arrondi ils ont fait, mais cela n'avait en rien corrigé le problème. 4 jours après le support checkout m'a demandé d'installer la version 1.4 sans autres explications...

par ailleurs, dans le lien que vous envoyé il est indiqué :
 

Quote

 

Settings

allow_url_fopen enabled. This directive enables PrestaShop to access remote files, which is an essential part of the payment process, among others things. It is therefore imperative to have it set to On.

Here is a section of the php.ini file (the configuration file for PHP):

extension = php_mysql.dll

extension = php_gd2.dll

allow_url_fopen = On

allow_url_include = Off

 

 

Je ne trouve pas ce fichier php.ini et je n'ai pas trouvé de fichier avec un mot clé correspondant.

Ca parle a quelqu'un?

 

Share this post


Link to post
Share on other sites

je n'arrive plus à retrouver le post où quelqu'un parlait de compatibilité, mais en le lisant j'avais vu que ce n'était pas pour moi, je ne pense pas que c'était un dev, mais juste un utilisateur,...

mais bon j'ai viré ce module et tout va pour le mieux, je ne risque pas de le retester avant longtemps

 

@Janett j'adore ton avatar et ton profil, je suis fan de the good place, on s'est bien marré en regardant la série, dommage que ce soit fini 😉 

Share this post


Link to post
Share on other sites

moi php 7.0 donc ok

et les règles d'arrondis j'étais déjà comme ils le demandent, donc le plantage ne venait pas de là chez moi...

Share this post


Link to post
Share on other sites
7 minutes ago, eric7892 said:

Je ne trouve pas ce fichier php.ini et je n'ai pas trouvé de fichier avec un mot clé correspondant.

Ca parle a quelqu'un?

C’est un fichier système, c’est votre hébergeur qui y a accès. Généralement les hébergeurs propositions des options pour régler ça, sinon le mieux c’est de contacter le service client.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More